[PATCH] xfs/288: _notrun if xfs_db write doesn't support -d option

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



Commit b3cf8b72334fd35ef961869506e5a72ab398bc82 help xfs/288 to
support v5 filesystems testing, but there're still some old
distributions don't support xfs_db 'write -d' usage. Then this
case fails on them.

For compatible with older versions, skip this test on v5 xfs
if xfs_db write command doesn't support -d option.

Signed-off-by: Zorro Lang <zlang@xxxxxxxxxx>
---
 tests/xfs/288 | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/tests/xfs/288 b/tests/xfs/288
index bccdb6fc..f8e117ed 100755
--- a/tests/xfs/288
+++ b/tests/xfs/288
@@ -40,6 +40,14 @@ _require_attrs
 _scratch_mkfs_xfs 2>/dev/null | _filter_mkfs 2>$tmp.mkfs >/dev/null
 . $tmp.mkfs
 
+# Require write -d option to write invalid data into V5 filesystem
+if [ $_fs_has_crcs -eq 1 ]; then
+	_scratch_xfs_db -x -c "help write" | egrep -q "(-d)"
+	if [ $? -ne 0 ]; then
+		_notrun "xfs_db write doesn't support -d option"
+	fi
+fi
+
 _scratch_mount
 
 touch $SCRATCH_MNT/$seq.attrfile
-- 
2.14.4

--
To unsubscribe from this list: send the line "unsubscribe fstests" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux